2.6.27.11 kernel breaks r8169 support for rtl8102e

Bug #326891 reported by Chris Puttick on 2009-02-08
306
This bug affects 30 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Stefan Bader
Hardy
Medium
Stefan Bader
Intrepid
High
Stefan Bader

Bug Description

SRU justification:

Impact: This was reported as a regression against Intrepid. The change that most likely caused this was a fix (which was now asked for Hardy by another user) to remove access to a certain register for cards other than 8169. Unfortunately the code uses in some cases the PCI information but in other cases the MAC version to decide how to handle a card. For those cards in question the 8101 code is used to initialize the cards hardware but for other aspects the unknown MAC causes it to be handled as a 8169 card.
The fact that those cards worked before seems to be pure luck.

Fix: The following 5 patches taken from upstream adds proper support for those cards.

Testcase: Networking was impossible before and has been verified to be working after by several users.

Hi

Installed Intrepid (from Kubuntu desktop CD) on mini-ITX computer with Intel 945GC and ICH7 chipset (Intel Atom processor) and on board RTL8102 Ethernet LAN (v.similar to Netbook type setups). Installation all works as expected (i.e. quick, easy, everything just works). Updated via Adept (configured as default). Restarted computer.

Ethernet no longer functions. Specific observed symptoms: everything seems to work; NetworkManager sees device and tries to configure it. Manually configing device in /etc/network/interfaces and restarting gives no errors. ifconfig shows config is as expected. Pinging anything other than localhost (either 127.0.0.1 or static IP address) fails with "network unreachable". Interesting snippet - ifconfig shows lots and lots of rx dropped packets and a few tx dropped packets. Log entries state r8169 link up.

sudo modprobe -r r8169 && modprobe r8169 gives "failed with error -22"

Restarting and using grub menu to boot with 2.27-7 causes NIC to function again.

This is what is known in the trade as a show-stopper as people with little technical knowledge would have been presented with a useless system which they would be unable to update any further.

It is of course possible that I am only person using this particular Jetway NC91 motherboard (highly unlikely) or that the manufacturer has done something outside of reference specs such that this problem is rare.

Recommend release patched kernel ASAP or finding some way of alerting users of this problem.

phil (fongpwf) wrote :

I see the same problem on my MSI Wind U100.
The wired port works on 2.6.27-9. It gives the following dmesg | grep 8169 when booted without cable connected:
[ 4.362683] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 4.362723] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 4.362753] r8169 0000:01:00.0: setting latency timer to 64
[ 4.362773] r8169 0000:01:00.0: unknown MAC (37a00000)
[ 4.363680] eth0: RTL8169 at 0xf883c000, 00:21:85:dc:69:42, XID 34a00000 IRQ 221
[ 39.349290] r8169: eth0: link down

In 2.6.27-11, it seems to think a cable is connected even though none is:
[ 4.842325] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 4.842363] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 4.842392] r8169 0000:01:00.0: setting latency timer to 64
[ 4.842412] r8169 0000:01:00.0: unknown MAC (37a00000)
[ 4.843241] eth0: RTL8169 at 0xf883c000, 00:21:85:dc:69:42, XID 34a00000 IRQ 221
[ 40.633048] r8169: eth0: link up

Also if I remove the module with "sudo modprobe -r r8169", then try to reload it, I get:
[ 402.682627] r8169 0000:01:00.0: PCI INT A disabled
[ 422.383316] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 422.383401] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 422.383449] r8169 0000:01:00.0: PCI INT A disabled
[ 422.383487] r8169: probe of 0000:01:00.0 failed with error -22

In both cases, the received dropped packets count constantly increases up regardless if a cable is connected or not.

Output of lspci:
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
02:00.0 Network controller: RaLink Device 0781

Changed in linux:
status: New → Confirmed
phil (fongpwf) wrote :

Bug 288845 (https://bugs.launchpad.net/bugs/288845) explains that the dropped pack counter in broken. So that may be unrelated to this problem.

phil (fongpwf) wrote :

https://bugs.launchpad.net/bugs/313081 also seems to be a duplicate of this. But it is reported against the wrong package (linux-restricted-modules (Ubuntu)).

BTW, is there a guideline as to which bugs to mark as duplicates and which one to keep?

Hi Phill,

I'd agree that this bug and bug 313081 are likely duplicates. Rule of thumb is usually use the most descriptive bug with debug information as the master bug. Regardless, I'll escalate this to the Ubuntu kernel team and work getting the duplicates cleaned up so they only have one bug to reference. Thanks.

Changed in linux:
importance: Undecided → High
status: Confirmed → Triaged
Stefan Bader (smb) wrote :

In order to root the problem I placed kernels at http://people.ubuntu.com/~smb/bug326891/
Please could you give one of those a try and let me know the outcome? Thanks.

Changed in linux:
assignee: nobody → stefan-bader-canonical
status: Triaged → In Progress
Xtien (xtien) wrote :

Is somebody already doing this? If not, I will.

Christine

Xtien (xtien) wrote :

I have installed the 32bits generic kernel on my MSI Wind, and networking works. I am posting this from the laptop.

Christine

Xtien (xtien) wrote :

I don't know if it's relevant: I applied a patch for the wireless card to this new kernel, like I did before, and both eth0 and wlan work fine.

Xtien (xtien) wrote :

Err, I shouldn't have said that. The Ralink wifi driver doesn't work now, it did on kernel 27-6

odium (odium1) wrote :

I've have this same problem (Dell Inspiron 1501 w/ Broadcom cards) and I've been working on it for about two weeks now and last night I downloaded KernelChecker and got it to download and install the newest kernel (2.6.28-*) and as far as I know the problem is fixed. I've been scouring the forum for fixes to this problem and the best answer I could find was to just use the newest kernel. I don't want to put my foot in my mouth just yet and say that it totally fixed the problem, but *thus far* it has worked.

Damiano (ubuntu-engidea) wrote :

In bug 326408 (I stumbled on that before finding out that this was the main thread) I wrote how I used the "correct" driver from realtek and had to change module mapping, it may be of interest to somebody to diagnose the issue. It is a bit weird since the changes of driver from kernel 27-9 to 27-11 are minimal (for r8169)

Stéphane Graber (stgraber) wrote :

I did a quick test on one of our thin clients.
It now manage to get its IP address from the DHCP server and boot successfully though it took a very long time to get an IP address, long enough for usplash to timeout and switch me back to the console.

Unfortunately as it's using a network harddisk, I can't do DHCP tests after the boot process so can't give much more information about if that's actually a lot slower than with -9.

The kernel was the i386 generic one.

The hardware used for the test was:
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 02)

information from dmesg:
[ 2.833432] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 2.833478] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 2.833507] r8169 0000:01:00.0: setting latency timer to 64
[ 2.833528] r8169 0000:01:00.0: unknown MAC (27a00700)
[ 2.835586] eth0: RTL8169 at 0xf88ea000, 00:1c:c0:5d:f4:40, XID 24a00000 IRQ 220
...
[ 4.776203] r8169: eth0: link up
...
[ 44.168514] eth0: no IPv6 routers present

Marc Gariépy (mgariepy) wrote :

I just tested the kernel amd64, took 6 minutes for my pc to boot and no network once it was.

dhclient eth0 didn't work.

a lot more """r8169: eth0: link up""" lines were adding up.

The hardware used for the test was:
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 02)

dmesg | grep -E r8169\|Linux\|eth0
[ 0.000000] Linux version 2.6.27-11-generic (root@magrathea) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu11) ) #1 SMP Tue Feb 10 19:39:41 UTC 2009 (Ubuntu 2.6.27-11.27b326891v1-generic)
[ 0.004000] SELinux: Disabled at boot.
[ 0.806629] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 2.359857] Linux agpgart interface v0.103
[ 3.884004] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 3.884058] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 3.884087] r8169 0000:01:00.0: setting latency timer to 64
[ 3.884110] r8169 0000:01:00.0: unknown MAC (27a00000)
[ 3.884966] eth0: RTL8169 at 0xffffc200004ec000, 00:1c:c0:6f:3e:64, XID 24a00000 IRQ 2300
[ 26.272027] r8169: eth0: link up
[ 118.420014] eth0: no IPv6 routers present
[ 122.816044] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 122.816049] Modules linked in: ppdev lp cpufreq_conservative cpufreq_ondemand cpufreq_powersave cpufreq_userspace cpufreq_stats freq_table container pci_slot video output sbs sbshc wmi battery ipv6 nls_cp437 cifs af_packet dm_crypt crypto_blkcipher dm_mod ac smsc47m1 smsc47m192 hwmon_vid i2c_i801 i2c_core snd_hda_intel serio_raw snd_pcm_oss snd_mixer_oss psmouse evdev snd_pcm pcspkr snd_seq_dummy parport_pc parport iTCO_wdt iTCO_vendor_support snd_seq_oss snd_seq_midi snd_rawmidi button snd_seq_midi_event snd_seq snd_timer snd_seq_device snd soundcore intel_agp shpchp pci_hotplug snd_page_alloc ext3 jbd mbcache sd_mod crc_t10dif sg ata_generic pata_acpi usbhid hid ata_piix libata scsi_mod dock ehci_hcd uhci_hcd usbcore r8169 mii thermal processor fan fbcon tileblit font bitblit softcursor
[ 123.636032] r8169: eth0: link up
[ 159.632030] r8169: eth0: link up
[ 201.632030] r8169: eth0: link up
[ 237.632032] r8169: eth0: link up
[ 315.632031] r8169: eth0: link up

Stefan Bader (smb) wrote :

This sounds like a clear "somewhat". Well, I suspect a bit that this driver working with the cards in question was pure luck somehow. It looks like some things are configured according the the pci id and some things depend on what they call MAC. All of the cards with problems where non-8169 but as the MAC is unknown it is drops through to be the same as for a 8169. One thing this caused was that one register which should not be used on more recent chips got used (and with one of the newer patches did not get initialized). So lets try to go the other way round. I added some patches that should give support for 8101 chipsets, so the "unknown MAC" messages should vanish and hopefully make those cards working correctly.
The kernels are at http://people.ubuntu.com/~smb/bug326891/ again (the v2 versions).

Damiano (ubuntu-engidea) wrote :

Yes, it works, at least for me.

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
 Subsystem: Intel Corporation Device 0001
 Flags: bus master, fast devsel, latency 0, IRQ 220
 I/O ports at 1000 [size=256]
 Memory at 50100000 (64-bit, non-prefetchable) [size=4K]
 Memory at 50000000 (64-bit, prefetchable) [size=64K]
 Expansion ROM at 50020000 [disabled] [size=128K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
 Capabilities: [70] Express Endpoint, MSI 01
 Capabilities: [ac] MSI-X: Enable- Mask- TabSize=2
 Capabilities: [cc] Vital Product Data <?>
 Kernel driver in use: r8169
 Kernel modules: r8169, r8101

root@www:~# lsmod | grep r8
r8169 37764 0
mii 13440 1 r8169

do not look at the r8101 it is not actually used.
Out of curiosity I was wondering why realtek made a driver r8101?
Anyway, thanks a lot ! good work !

ZelinskiyIS (ivze) wrote :

I confirm that the modified .27-11 kernel fixes the ethernet issue on my Acer Aspire one.

The device is:
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)

Marc Gariépy (mgariepy) wrote :

I also confirm that the 2.6.27-11 kernel fix my issue

01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 02)

dmesg | grep -E r8169\|Linux\|eth0
[ 0.000000] Linux version 2.6.27-11-generic (root@magrathea) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu11) ) #1 SMP Thu Feb 12 10:34:51 UTC 2009 (Ubuntu 2.6.27-11.27b326891v2-generic)
[ 0.004000] SELinux: Disabled at boot.
[ 0.806606] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 2.354309] Linux agpgart interface v0.103
[ 4.050850] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 4.050897] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 4.050924] r8169 0000:01:00.0: setting latency timer to 64
[ 4.051780] eth0: RTL8102e at 0xffffc200004ec000, 00:1c:c0:6f:3e:64, XID 24a00000 IRQ 2300
[ 25.360913] r8169: eth0: link up
[ 25.360924] r8169: eth0: link up
[ 39.156034] eth0: no IPv6 routers present

Thanks !

Marc

Russell Faull (rfaull) wrote :

Thanks, Stefan.

This new kernel (http://people.ubuntu.com/~smb/bug326891/) solves the problem for me on an Aspire One

Regards
Russell

Stefan Bader (smb) wrote :

The first link of the Hardy patches is wrong and the following one should go into the middle:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=commitdiff;h=47586cf3b241e1f5911ff7ce093bc446ee84d998

Juan Carlos Inostroza (jci) wrote :

Confirming that the kernel 2.6.27-11 present at http://people.ubuntu.com/~smb/bug326891/ works to make ethernet card working again.

Xtien (xtien) wrote :

same here. wireless card also still works.

I can also confirm that the new kernel from http://people.ubuntu.com/~smb/bug326891/ fixes this problem on a Dell Mini 9 with Intrepid.

2009/2/12 Stefan Bader <email address hidden>:
> The kernels are at http://people.ubuntu.com/~smb/bug326891/ again (the v2 versions).

I tried the linux-image-2.6.27-11-generic_2.6.27-11.27b326891v2_i386.deb
and now my ethernet works fine. Suspend to RAM works too.

Thank you.

Output of my lspci -vv -nn:
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136]
(rev 02)
  Subsystem: Micro-Star International Co., Ltd. Device [1462:0110]
  Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
  Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- SERR-
  Kernel driver in use: r8169
  Kernel modules: r8169

Also my WiFi "Realtek Semiconductor Co., Ltd. RTL8187SE Wireless LAN
Controller [10ec:8199] (rev 22)" works, using some rtl8180 driver from
http://msi-wind-linux.googlecode.com/files/rtl8187se_linux-04.tar.bz2,
if anyone is interested.

Chris Lovett (70phr3) wrote :

I tried the linux-image-2.6.27-11-generic_2.6.27-11.27b326891v2_i386.deb and it killed my wireless. Wireless also doesn't work with 27-9 or 27-7. Wireless works with 27-11 but wired does not. Very frustrating.

Chris Lovett (70phr3) wrote :

Forgot to add that I'm using a Dell Mini 9

Konstantin Lavrov (lacosta) wrote :

Last upgrade to linux-image-2.6.27-12-generic solve problem

Russell Faull (rfaull) wrote :

Tried upgrading to kernel 2.6.27-12 and problem reappeared. Ok with Stefen's patched kernel mentioned above.

Regards, Russell

Xtien (xtien) wrote :

Today my system suddenly froze, screen went blank. Trying to save some work I suspended it, then switched back on. Most apps were still there, but networking hadn't started. Syslog doesn't show anything out of the ordinary. If needed i can post the relevant part of the syslog.
Of course, I don't know if this freeze is related to the new kernel.

shemgp (shemgp) wrote :

Upgraded to 2.6.27-12-generic and the crash re-appears.

Konstantin Lavrov (lacosta) wrote :

Well.
After first reboot with linux-image-2.6.27-12-generic r8169 worked.
But afrer next reboot there is no connection again.

The -12 kernel will just be back to old behaviour. It has been taken a while to
get through but doesn't contain any fixes to the r8169 driver. I am in the
progress of finalizing the next -proposed upload which will then have the
updated driver.

Russell Faull (rfaull) wrote :

Stefan

Thanks for the update. I will stay with your patched -11 kernel until the updated driver is included.

Regards, Russell

Marc Gariépy (mgariepy) wrote :

Just tested the 2.6.27-12 kernel, it's not working with my hardware. If you need any more information

mgariepy@thin-client:~$ dpkg -l | grep 2.6.27-12
ii linux-headers-2.6.27-12 2.6.27-12.28 Header files related to Linux kernel version 2.6.27
ii linux-headers-2.6.27-12-generic 2.6.27-12.28 Linux kernel headers for version 2.6.27 on x86/x86_64
ii linux-image-2.6.27-12-generic 2.6.27-12.28 Linux kernel image for version 2.6.27 on x86/x86_64

mgariepy@thin-client:~$ dmesg | grep -E r8169\|Linux\|eth0
[ 0.000000] Linux version 2.6.27-12-generic (buildd@crested) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu12) ) #1 SMP Thu Feb 5 09:26:42 UTC 2009 (Ubuntu 2.6.27-12.28-generic)
[ 0.004000] SELinux: Disabled at boot.
[ 0.806607] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 2.352637] Linux agpgart interface v0.103
[ 3.829170] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 3.829216] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 3.829244] r8169 0000:01:00.0: setting latency timer to 64
[ 3.829267] r8169 0000:01:00.0: unknown MAC (27a00000)
[ 3.830084] eth0: RTL8169 at 0xffffc200004ec000, 00:1c:c0:6f:3e:64, XID 24a00000 IRQ 2300
[ 26.428026] r8169: eth0: link up
[ 119.324013] eth0: no IPv6 routers present
[ 128.804050] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 128.804054] Modules linked in: ppdev lp cpufreq_conservative cpufreq_ondemand cpufreq_powersave cpufreq_userspace cpufreq_stats freq_table container pci_slot video output sbs sbshc wmi battery ipv6 nls_cp437 cifs af_packet dm_crypt crypto_blkcipher dm_mod ac smsc47m1 smsc47m192 hwmon_vid i2c_i801 i2c_core snd_hda_intel evdev snd_pcm_oss snd_mixer_oss snd_pcm serio_raw pcspkr psmouse snd_seq_dummy parport_pc parport iTCO_wdt iTCO_vendor_support snd_seq_oss snd_seq_midi snd_rawmidi button snd_seq_midi_event snd_seq snd_timer snd_seq_device snd shpchp pci_hotplug intel_agp soundcore snd_page_alloc ext3 jbd mbcache sd_mod crc_t10dif sg ata_generic pata_acpi usbhid hid ata_piix libata scsi_mod dock ehci_hcd uhci_hcd usbcore r8169 mii thermal processor fan fbcon tileblit font bitblit softcursor
[ 129.624030] r8169: eth0: link up
[ 165.620030] r8169: eth0: link up
[ 201.620030] r8169: eth0: link up
[ 243.620030] r8169: eth0: link up
[ 315.620038] r8169: eth0: link up
[ 381.652537] r8169: eth0: link up

Steve Langasek (vorlon) wrote :

Accepted into hardy-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Damiano (ubuntu-engidea) wrote :

I did install the proposed package (or at least I think so) and it still does not work.
Attached the dmesg of the machine.
Maybe the proposed patch is not gone through yet ?

Stefan Bader (smb) wrote :

Unfortunately -proposed is not equal -proposed. Sorry, the way launchpad
organizes this is sometimes confusing. There is a Hardy and an Intrepid task.
The kernel that was uploaded was a Hardy kernel. I am in the process of doing
the Intrepid kernel but this will take another day or so.

Ian Soutar (isoutar) wrote :

Thanks for your help on this.

Ian Soutar

Steve Beattie wrote:
> ** Tags added: hw-specific
>
>

I would recommend that this bug be fixed and the fix come through
updates as well as online for those who cannot do so. I would
recommend making it an official update because ...

1/ Nebooks represent at least 8 of 10 new laptop sales.

2/ The Mini 9 is already Dell and Ubuntu supported.

Ian.

Steve Beattie said the following on 19/02/09 09:40 AM:
> ** Tags added: hw-specific
>
>

nomentero (toni700) wrote :

what about the intrepid ibex fix for 2.6.27-12 kernel??
Thanks

Not sure why this was addressed to me. I found the problem but do not
have a solution.

Ian

nomentero said the following on 25/02/09 10:32 AM:
> what about the intrepid ibex fix for 2.6.27-12 kernel??
> Thanks
>
>

Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

No new kernel showing here (0803 GMT) with intrepid-proposed enabled.
Ran apt-get update, apt-get dist-upgrade - was bunch of KDE stuff but
not much else. I moved too fast?

--
My employers website: http://thehumanjourney.net - opinions in this
email are however very much my own and may not reflect that of my
current employer, past employers, associates, friends, family, pets etc..

Documents attached to this email may be in ISO 26300 format:
http://iso26300.info

ThiagoSerra (thiagoserra) wrote :

on my acer aspire one (zg 5, atom 1.6, 1gb ram, hd 160gb) with intrepid, the ethernet works on kernel 2.6.27-7.
in others versions (2.6.27-11 e 2.6.27-12), the ethernet dead :-(

thiago@localhost:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
04:00.0 System peripheral: JMicron Technologies, Inc. SD/MMC Host Controller
04:00.2 SD Host controller: JMicron Technologies, Inc. Standard SD Host Controller
04:00.3 System peripheral: JMicron Technologies, Inc. MS Host Controller
04:00.4 System peripheral: JMicron Technologies, Inc. xD Host Controller

Artyom Pervukhin (logus) wrote :

The bug still here (linux-image-generic 2.6.27.12.15):

linux-image-generic:
  Installed: 2.6.27.12.15
  Candidate: 2.6.27.12.15
  Version table:
 *** 2.6.27.12.15 0
        500 http://archive.ubuntu.com intrepid-proposed/main Packages
        100 /var/lib/dpkg/status
     2.6.27.11.14 0
        500 http://archive.ubuntu.com intrepid-updates/main Packages
        500 http://security.ubuntu.com intrepid-security/main Packages
     2.6.27.7.11 0
        500 http://archive.ubuntu.com intrepid/main Packages

See attached file -- these lines present in syslog whenever I boot kernel 2.6.27.11 ... 12. Still using 2.6.27-9-generic.

Damiano (ubuntu-engidea) wrote :

The bug is still here
At least I hope that this is also integrated into official Linux kernel so it will be gone for good soon.

Marc Gariépy (mgariepy) wrote :

I just tryed the 2.6.27-13-generic from proposed and it work fine :) Thanks !

$ dmesg | grep -E r8169\|Linux\|eth0
[ 0.000000] Linux version 2.6.27-13-generic (buildd@crested) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu12) ) #1 SMP Thu Feb 26 07:31:49 UTC 2009 (Ubuntu 2.6.27-13.29-generic)
[ 0.004000] SELinux: Disabled at boot.
[ 0.812170] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 2.361443] Linux agpgart interface v0.103
[ 4.829730] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 4.829767] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 4.829792] r8169 0000:01:00.0: setting latency timer to 64
[ 4.830467] eth0: RTL8102e at 0xffffc200004ee000, 00:1c:c0:6f:3e:64, XID 24a00000 IRQ 2300
[ 25.195453] r8169: eth0: link up
[ 25.195465] r8169: eth0: link up
[ 38.780024] eth0: no IPv6 routers present

Oh! thats good, but I'll wait for a Ubuntu auto update that will fix
this issue. Hope it will come soon.

Marc Gariépy wrote:
> I just tryed the 2.6.27-13-generic from proposed and it work fine :)
> Thanks !
>
>
> $ dmesg | grep -E r8169\|Linux\|eth0
> [ 0.000000] Linux version 2.6.27-13-generic (buildd@crested) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu12) ) #1 SMP Thu Feb 26 07:31:49 UTC 2009 (Ubuntu 2.6.27-13.29-generic)
> [ 0.004000] SELinux: Disabled at boot.
> [ 0.812170] Linux Plug and Play Support v0.97 (c) Adam Belay
> [ 2.361443] Linux agpgart interface v0.103
> [ 4.829730] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
> [ 4.829767] r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
> [ 4.829792] r8169 0000:01:00.0: setting latency timer to 64
> [ 4.830467] eth0: RTL8102e at 0xffffc200004ee000, 00:1c:c0:6f:3e:64, XID 24a00000 IRQ 2300
> [ 25.195453] r8169: eth0: link up
> [ 25.195465] r8169: eth0: link up
> [ 38.780024] eth0: no IPv6 routers present
>

Bogdan Butnaru (bogdanb) wrote :

Hi! I've tried 2.6.27-13-server on a system with an Intel 945GC motherboard running Intrepid 64. It causes a kernel panic on boot. I can get a screen-shot if it's useful.

The last kernel that works on the machine is 2.6.24-21-server:

$ dmesg | grep -E r8169\|Linux\|eth0
[ 0.000000] Linux version 2.6.24-21-server (buildd@crested) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Tue Oct 21 23:40:13 UTC 2008 (Ubuntu 2.6.24-21.43-server)
[ 25.105307] SELinux: Disabled at boot.
[ 25.848422] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 27.162991] Linux agpgart interface v0.102
[ 28.581571] r8169 Gigabit Ethernet driver 2.2LK loaded
[ 28.582048] eth0: RTL8101e at 0xffffc200008ae000, 00:1c:c0:45:21:64, XID 24a00000 IRQ 2300
[ 49.418357] r8169: eth0: link up
[ 49.418366] r8169: eth0: link up
[ 64.556594] eth0: no IPv6 routers present

I'm not sure what I need to try a 32 bit version, but if it needs a separate partition then I can't try it anytime soon. Would it help to try a -generic kernel? (It's a headless machine so it's a bit of a chore, but I can do it if it's helpful.)

Damiano (ubuntu-engidea) wrote :

It works for me with kernel 27-13
See attached dmesg

Martin Pitt (pitti) wrote :

Bodgan, please do attach a screenshot. Is that kernel panic a regression from 2.6.27-7 or 2.6.27-12, or has Ubuntu 8.10 never booted on your machine (since you said that the last working kernel was 2.6.24-21)?

awe_cz (martin-nedbal) wrote :

Thanks a lot, Stefan.

Kernel from http://people.ubuntu.com/~smb/bug326891/ solved my problem with Intel LittleFalls (aka D945GCLF, BIOS LF94510J.86A.0150.2009.0210.0006). Surprising fact is that no Ibex kernel (starting from the one on pre-release version) worked here properly - network card was dead even with 2.6.27-7.

Russell Faull (rfaull) wrote :

Kernel -27-13 solves ethernet problem for me, thanks Stefan.

Xtien (xtien) wrote :

Kernel 13 solved problem here.

Another confirmation that -13 kernel from hardy-proposed fixes this problem

Me too; the ethernet on my MSI Wind was broken in 2.6.26-11 generic, but it's okay again in 2.6.27-13-generic.

Thanks, gang!

Uwe Geuder (ubuntulp-ugeuder) wrote :

I use Xubuntu 8.10 on an Acer Aspirce One with the following Ethernet card

sudo lspci -v

...
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
 Subsystem: Acer Incorporated [ALI] Device 015b
 Flags: bus master, fast devsel, latency 0, IRQ 219
 I/O ports at 3000 [size=256]
 Memory at 51010000 (64-bit, prefetchable) [size=4K]
 Memory at 51000000 (64-bit, prefetchable) [size=64K]
 Expansion ROM at 51020000 [disabled] [size=128K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
 Capabilities: [70] Express Endpoint, MSI 01
 Capabilities: [ac] MSI-X: Enable- Mask- TabSize=2
 Capabilities: [cc] Vital Product Data <?>
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Virtual Channel <?>
 Capabilities: [160] Device Serial Number 00-00-ff-ff-00-00-00-04
 Kernel driver in use: r8169
 Kernel modules: r8169
...

The card worked with kernel 2.6.27-7, but stopped working with 2.6.27-11.

I've now upgraded to kernel 2.6.27-13 from intrepid-proposed and the card works again. Thanks Stefan, Martin and/or who else was involved in creating this fix

P.S. I did not see an instruction what packages need to be updated, I guessed

linux-headers-2.6.27-13-generic
linux-image-2.6.27-13-generic
linux-restricted-modules-2.6.27-13-generic

dburr (dburr-fami) wrote :

It seems the the kernel in intrepid-proposed has now been updated to -14 and I can confirm that that it still fixes the problem on the MSI Wind U100 (-9 was good, -11 was bad).

Uwe Geuder (ubuntulp-ugeuder) wrote :

Yes, I can confirm the previous comment. 2.6.27-14 works, too (-7 working, -11 broken, -13 working, -14 working)

Uwe Geuder (ubuntulp-ugeuder) wrote :

my last comment was about Intrepid, sorry about the extra noise

Uwe Geuder (ubuntulp-ugeuder) wrote :

Intrepid. Although 2.6.27-13 fixes the network adapter problem, I believe it causes regression elsewhere. Please see my report https://bugs.launchpad.net/ubuntu/+source/linux/+bug/351207

ThiagoSerra (thiagoserra) wrote :

on my acer aspire one (zg 5, atom 1.6, 1gb ram, hd 160gb) with intrepid, the ethernet come back with kernel 2.6.27-14. works fine. thank you!

SkyPlooM (mariodiges) wrote :

Same bug for me with Intrepid linux-image-2.6.27-11 on Point of view Mobii with realtek 8101
Wired internet is not working.

Xtien (xtien) wrote :

I mentioned this thread to a friend who was having problems with windows. I said "there's a bug, some people report it to the ubuntu forum, some great people come in and start fixing, than after a while everybody reports that all's working again and we're all happy".

Thanks, all of you who contributed to fixing this thing!

Uwe Geuder (ubuntulp-ugeuder) wrote :

I've suspected that 2.6.27-13 causes regression in the framebuffer console. See my comment of 2009-03-29 above and https://bugs.launchpad.net/ubuntu/+source/linux/+bug/351207. However, that problem has existed long before. So it's no regression and it is not any reason not to go forward with 2.6.27-13 (or -14).

Launchpad Janitor (janitor) wrote :
Download full text (5.1 KiB)

This bug was fixed in the package linux - 2.6.24-24.53

---------------
linux (2.6.24-24.53) hardy-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.24-24.51 with 2.6.24-23.52 security patches applied.

linux (2.6.24-24.51) hardy-proposed; urgency=low

  [Alessio Igor Bogani]

  * rt: Updated PREEMPT_RT support to rt27
    - LP: #324275

  [Steve Beattie]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [Upstream Kernel Changes]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * serial: 8250: fix shared interrupts issues with SMP and RT kernels
    - LP: #280821
  * 8250.c: port.lock is irq-safe
    - LP: #280821
  * ACPI: Clear WAK_STS on resume
    - LP: #251338

linux (2.6.24-24.50) hardy-proposed; urgency=low

  [Alok Kataria]

  * x86: add X86_FEATURE_HYPERVISOR feature bit
    - LP: #319945
  * x86: add a synthetic TSC_RELIABLE feature bit
    - LP: #319945
  * x86: vmware: look for DMI string in the product serial key
    - LP: #319945
  * x86: Hypervisor detection and get tsc_freq from hypervisor
    - LP: #319945
  * x86: Use the synthetic TSC_RELIABLE bit to workaround virtualization
    anomalies.
    - LP: #319945
  * x86: Skip verification by the watchdog for TSC clocksource.
    - LP: #319945
  * x86: Mark TSC synchronized on VMware.
    - LP: #319945

  [Colin Ian King]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106

  [James Troup]

  * XEN: Enable architecture specific get_unmapped_area_topdown
    - LP: #237724

  [Stefan Bader]

  * Xen: Fix FTBS after Vmware TSC updates.
    - LP: #319945

  [Upstream Kernel Changes]

  * r8169: fix RxMissed register access
    - LP: #324760
  * r8169: Tx performance tweak helper
    - LP: #326891
  * r8169: use pci_find_capability for the PCI-E features
    - LP: #326891
  * r8169: add 8168/8101 registers description
    - LP: #326891
  * r8169: add hw start helpers for the 8168 and the 8101
    - LP: #326891
  * r8169: additional 8101 and 8102 support
    - LP: #326891
  * Fix memory corruption in console selection
    - LP: #329007

linux (2.6.24-23.52) hardy-security; urgency=low

  [Stefan Bader]
  * rt: Fix FTBS caused by shm changes
    - CVE-2009-0859

  [Steve Beattie]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [Upstream Kernel Changes]

  * NFS: Remove the buggy lock-if-signalled case from do_setlk()
    - CVE-2008-4307
  * sctp: Avoid memory overflow while FWD-TSN chunk is received with bad
    stream ID
    - CVE-2009-0065
  * net: 4 bytes kernel memory disclosure in SO_BSDCOMPAT gsopt try #2
    - CVE-2009-0676
  * sparc: Fix mremap address range validation.
    - CVE-2008-6107
  * copy_process: fix CLONE_PARENT && parent_exec_id interaction
    - CVE-2009-0028
  * security: introduce missing kfree
    - CVE-2009-0031
  * eCryptfs: check readlink result was not an error before using it
    - CVE-2009-0269
  * dell_rbu: use scnprintf() instead of less secure sprintf()
    - CVE-2009-0322
  * drivers/net/skfp: if !capable(CAP_NET_ADMIN): inverted logic
    - CVE-2009-0675
  * Ext4: Fix online res...

Read more...

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (27.1 KiB)

This bug was fixed in the package linux - 2.6.27-14.33

---------------
linux (2.6.27-14.33) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Fix FTBS due to a mysteriously missing ABI directory.

linux (2.6.27-14.32) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.27-14.30 with 2.6.27-11.31 security patches applied

linux (2.6.27-14.30) intrepid-proposed; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: Limit workaround for ASUS notebooks even more
    - LP: #288385

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Scott James Remnant ]

  * SAUCE: floppy: Provide a PnP device table in the module.
    - LP: #255651

  [ Steve Beattie ]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [ Stefan Bader ]

  * Revert "ACPI: Fix compiler warnings introduced by 32 to 64 bit acpi
    conversions"
    - LP: #337019
  * Revert "ACPI: Change acpi_evaluate_integer to support 64-bit on 32-bit
    kernels"
    - LP: #337019

  [ Upstream Kernel Changes ]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * ricoh_mmc: Handle newer models of Ricoh controllers
    - LP: #311932

linux (2.6.27-13.29) intrepid-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106, #322082

  [ Stefan Bader ]

  * Revert "SAUCE: Work around ACPI corruption upon suspend on some Dell
    machines." (replaced by stable update)
    - LP: #330200
  * Revert "SAUCE: Add back in lost commit for Apple BT Wireless Keyboard"
    (replaced by stable update)
    - LP: #330902

  [ Upstream Kernel Changes ]

  * Revert "vt: fix background color on line feed"
    - LP: #330200
  * ti_usb_3410_5052: support alternate firmware
    - LP: #231276
  * fuse: destroy bdi on umount
    - LP: #324921
  * fuse: fix missing fput on error
    - LP: #324921
  * fuse: fix NULL deref in fuse_file_alloc()
    - LP: #324921
  * inotify: clean up inotify_read and fix locking problems
    - LP: #324921
  * mac80211: decrement ref count to netdev after launching mesh discovery
    - LP: #324921
  * sysfs: fix problems with binary files
    - LP: #324921
  * x86, mm: fix pte_free()
    - LP: #324921
  * alpha: nautilus - fix compile failure with gcc-4.3
    - LP: #324921
  * it821x: Add ultra_mask quirk for Vortex86SX
    - LP: #324921
  * libata: pata_via: support VX855, future chips whose IDE controller use
    0x0571
    - LP: #324921
  * rtl8187: Add termination packet to prevent stall
    - LP: #324921
  * serial_8250: support for Sealevel Systems Model 7803 COMM+8
    - LP: #324921
  * SUNRPC: Fix a memory leak in rpcb_getport_async
    - LP: #324921
  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #324921
  * USB: fix char-device disconnect handling
    - LP: #324921
  * USB: storage: add unusual devs entry
    - LP: #324921
  * USB: usbmon: Implement compat_ioctl
    - LP: #324921
  * ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
    - LP: #324921
  * ALSA: hda - Add quirk for HP DV6700 laptop
    - LP: #324921
  * ALSA: ...

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers